Bug 1260431 - ISO installation not possible
ISO installation not possible
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 15:42 EDT by A.J. Werkman
Modified: 2015-09-21 16:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 16:54:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda.log (17.24 KB, text/plain)
2015-09-09 05:08 EDT, A.J. Werkman
no flags Details
Dnf.librepo (11.02 KB, text/plain)
2015-09-09 05:08 EDT, A.J. Werkman
no flags Details
Dnf.log (1.66 KB, text/plain)
2015-09-09 05:09 EDT, A.J. Werkman
no flags Details
Packaging (1.88 KB, text/plain)
2015-09-09 05:09 EDT, A.J. Werkman
no flags Details
Program.log (80.09 KB, text/plain)
2015-09-09 05:10 EDT, A.J. Werkman
no flags Details
Storage.log (112.65 KB, text/plain)
2015-09-09 05:10 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2015-09-06 15:42:46 EDT
Description of problem:
ISO installation not possible

Version-Release number of selected component (if applicable):
23_Beta_TC1

How reproducible:
Everytime

Steps to Reproduce:
1. Start installation.
2. From central pane select installation source
3. Select the Fedora DVD iso-image on an attached disc

Actual results:
Anaconda reports an error concerning repo tree not found

Expected results:
ISO image is mounted as installation source and Fedora installation can continue

Additional info:
Comment 1 David Shea 2015-09-08 09:57:52 EDT
Please attach the logs from /tmp to this bug as individual, text/plain attachments.
Comment 2 A.J. Werkman 2015-09-09 05:08:19 EDT
Created attachment 1071637 [details]
Anaconda.log
Comment 3 A.J. Werkman 2015-09-09 05:08:57 EDT
Created attachment 1071638 [details]
Dnf.librepo
Comment 4 A.J. Werkman 2015-09-09 05:09:17 EDT
Created attachment 1071640 [details]
Dnf.log
Comment 5 A.J. Werkman 2015-09-09 05:09:42 EDT
Created attachment 1071641 [details]
Packaging
Comment 6 A.J. Werkman 2015-09-09 05:10:08 EDT
Created attachment 1071642 [details]
Program.log
Comment 7 A.J. Werkman 2015-09-09 05:10:31 EDT
Created attachment 1071644 [details]
Storage.log
Comment 8 David Shea 2015-09-09 14:58:17 EDT
That's pretty weird. I see the log message from findFirstIsoImage, but it never attempts to mount the image, which indicates that it does not look like an iso. Which boot media are you using? What is the md5sum of the Fedora-Server-DVD-x86_64-23_Beta_TC1.iso on the partition you're attempting to install from?
Comment 9 A.J. Werkman 2015-09-10 14:25:58 EDT
I checked the chesum and sha256sum is the same as in the CHECKSUM file, so the iso image is valid.
Comment 10 David Shea 2015-09-10 14:29:08 EDT
Again, which boot media are you using?
Comment 11 A.J. Werkman 2015-09-10 15:18:55 EDT
Sorry I fogot to tell.

I use Fedora Server DVD iso.
Comment 12 David Shea 2015-09-21 16:54:34 EDT
I don't know why your ISO isn't being detected as an ISO, but it's working fine for me.

Note You need to log in before you can comment on or make changes to this bug.